Show / Hide Table of Contents

# Struct StbUndoStatePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct StbUndoStatePtr

### Constructors

| Improve this Doc View Source

#### StbUndoStatePtr(StbUndoState*)

##### Declaration

    public StbUndoStatePtr(StbUndoState*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbUndoState* | nativePtr |

| Improve this Doc View Source

#### StbUndoStatePtr(IntPtr)

##### Declaration

    public StbUndoStatePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public StbUndoState*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
StbUndoState* |

| Improve this Doc View Source

#### redo_char_point

##### Declaration

    public int redo_char_point { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### redo_point

##### Declaration

    public short redo_point { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### undo_char

##### Declaration

    public RangeAccessor<ushort> undo_char { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.UInt16> |

| Improve this Doc View Source

#### undo_char_point

##### Declaration

    public int undo_char_point { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### undo_point

##### Declaration

    public short undo_point { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### undo_rec

##### Declaration

    public RangeAccessor<StbUndoRecord> undo_rec { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<StbUndoRecord> |

### Operators

| Improve this Doc View Source

#### Implicit(StbUndoState* to StbUndoStatePtr)

##### Declaration

    public static implicit operator StbUndoStatePtr(StbUndoState*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbUndoState* | nativePtr |

##### Returns

Type | Description
--- | ---
StbUndoStatePtr |

| Improve this Doc View Source

#### Implicit(StbUndoStatePtr to StbUndoState*)

##### Declaration

    public static implicit operator StbUndoState*(StbUndoStatePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbUndoStatePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
StbUndoState* |

| Improve this Doc View Source

#### Implicit(IntPtr to StbUndoStatePtr)

##### Declaration

    public static implicit operator StbUndoStatePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
StbUndoStatePtr |